Aller au contenu


Photo

[Switch] PegaSwitch 3.0 et Mephisto compatible jusqu'au firmware 3.0.0


  • Veuillez vous connecter pour répondre
51 réponses à ce sujet

Posté 02 octobre 2017 - 08:10

#1
tralala

tralala

    \0/ Postman \0/

  • Newser Expert
  • 8 260 messages
  • Sexe:Male
La Team Reswitched vient de publier une nouvelle version de Pegaswitch, la trousse à outils est compatible jusqu'au firmware 3.0.0. Ce n'est pas tout un SDK et aussi un émulateur Switch nommé Mephisto qui permet de faire tourner quelques jeux non commerciaux ont également été publiés.
 
Le nouvel exploit utilisé se nomme ROhan n'est malheureusement pas complètement finalisé, il ne permet qu'un accès partiel aux fonctions, il permet un conrtrôle assez aléatoire du flux d'exécution, il ne permet pas de disposer d'une chaine ROP/JOP, et c'est donc le seul élément manquant pour accéder à l'userland.
 
 
 
 
 
La chaine ROP est longue à obtenir car fastidieuse, mais avec la libération du code, la Team Reswitched espère faire progresser les travaux rapidement. Oui car cette version n'est pas à mettre entre les mains, elle est réservée aux "pirates informatiques"
 
Le développeur Daeken recommande de passer au firmware 3.0.0, c'est possible par exemple avec le jeu Pokken DX qui l'intègre. Il semblerait que l'exploit ROhan ne soit d'ailleurs compatible qu'avec le firmware 3.0.0, il n'est plus possible de le lancer sous 3.0.1.
 
 
 
 
 
Mephisto est un émulateur de débogage, il reprend la suite de CTU : Cage The Unicorn, il n'est pas capable de lancer de jeux commerciaux, il n'a aucun support de son ni de graphisme évolué 3D, il n'est là que pour assurer le suivi et le débogage des codes, et tester des exploits. 
 
 
 
Téléchargement : PegaSwitch 3.0 / SDK Libtransistor / Mephisto (l'émulateur) / SwIPC (un outil pour envoyer des messages via IPC)
 

  • Retour en haut

Posté 02 octobre 2017 - 08:13

#2
Wingman

Wingman

    Sunriseur avancé

  • Members
  • PipPipPip
  • 573 messages
  • Sexe:Male
  • Lieu:Vers Moirans
Jeu commandé ce matin avant que les prix s'envolent...
  • Retour en haut

Posté 02 octobre 2017 - 08:22

#3
overload

overload

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 252 messages

Jeu commandé ce matin avant que les prix s'envolent...



Sage décision ^^

"Si ça saigne ça peut crever"

  • Retour en haut

Posté 02 octobre 2017 - 08:23

#4
Wingman

Wingman

    Sunriseur avancé

  • Members
  • PipPipPip
  • 573 messages
  • Sexe:Male
  • Lieu:Vers Moirans
@overload : Tu m'étonnes. Dommage que ça se passe comme ça à chaque fois.
  • Retour en haut

Posté 02 octobre 2017 - 08:40

#5
jonbovi

jonbovi

    Sunriseur

  • Members
  • PipPip
  • 164 messages
Salut à part Pokken DX il y a d'autres jeux qui contiennent le firmware 3.0.0 ?
  • Retour en haut

Posté 02 octobre 2017 - 08:55

#6
overload

overload

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 252 messages

Salut à part Pokken DX il y a d'autres jeux qui contiennent le firmware 3.0.0 ?



Jeux sorti le mème mois que pokemon donc sans doute en 3.0.0

Lego world - 6 septembre
Rayman legends - 12 septembre
The Binding of Isaac afterbirth + - 14 septembre
NBA 2K18 - 15 septembre
Dragon Ball Xenoverse 2 - 22 septembre (meme date que pokemon DX )

et j'en passe bien sur, mais c'est dans les plus connu

Mais ne vous affolez pas non plus trop on est loin d'un hack complet encore et d'ici la les autres firmwares au dessus tomberont, donc quitte a acheter un jeu 3.0.0 prenez en au moins un qui vous plait ^^

Modifié par overload, 02 octobre 2017 - 09:04.

"Si ça saigne ça peut crever"

  • Retour en haut

Posté 02 octobre 2017 - 09:12

#7
Wingman

Wingman

    Sunriseur avancé

  • Members
  • PipPipPip
  • 573 messages
  • Sexe:Male
  • Lieu:Vers Moirans
Bah j'ai bien fait de prendre Pokemon vu que le reste me branche pas. Et j'ai DB X2 sur PS4 donc ça va ^^
  • Retour en haut

Posté 02 octobre 2017 - 09:13

#8
overload

overload

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 252 messages

Bah j'ai bien fait de prendre Pokemon vu que le reste me branche pas. Et j'ai DB X2 sur PS4 donc ça va ^^



J'en ai zappé plein aussi, trop long sinon ^^

"Si ça saigne ça peut crever"

  • Retour en haut

Posté 02 octobre 2017 - 10:37

#9
jbam

jbam

    Sunriseur avancé

  • Members
  • PipPipPip
  • 409 messages
Dommage que cela soit en 3.0 vue les soucis de calibration de batterie ...
En attendant le hack je vais rester sagement en 2.3 surtout que pokemon dx ne m'intéresse absolument pas ;)

Et sinon pour connaitre les maj inclues dans les jeux, ils suffit de jeter un oeil ici :
http://switchbrew.or...itle_list/Games
  • Retour en haut

Posté 02 octobre 2017 - 10:53

#10
jonbovi

jonbovi

    Sunriseur

  • Members
  • PipPip
  • 164 messages
Merci pour les infos.
D'après la précédente liste, il y a seulement Pokken DX qui contient le 3.0.0 ???

Modifié par jonbovi, 02 octobre 2017 - 10:57.

  • Retour en haut

Posté 02 octobre 2017 - 11:25

#11
overload

overload

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 252 messages

Merci pour les infos.
D'après la précédente liste, il y a seulement Pokken DX qui contient le 3.0.0 ???


Sur la liste du lien de jbam le tableau n'est juste pas rempli, mais ça ne veut pas dire que seul pokemon dx est 3.0.0
D’ailleurs dans le tableau Minecraft et Dragon Quest Heroes 1 & 2 sont confirmés 3.0.0

Les jeux cité dans ma liste doivent posséder cette maj , au moins un, vu les date de sorti trés proche de celle de DX, a voir et confirmer c'est deja une piste

Modifié par overload, 02 octobre 2017 - 11:27.

"Si ça saigne ça peut crever"

  • Retour en haut

Posté 02 octobre 2017 - 11:45

#12
Shevel

Shevel

    Sunriseur avancé

  • Members
  • PipPipPip
  • 753 messages
  • Sexe:Male
Bon ça va être chaud les gars. J'ai ma switch 3.0.0 sans aucun jeu depuis mercredi, Mario odyssey de préco pour la fin du mois et il va certainement demander là 3.0.2 :/
  • Retour en haut

Posté 02 octobre 2017 - 11:50

#13
alucard_xs

alucard_xs

    Sunriseur avancé

  • Members
  • PipPipPip
  • 525 messages
Rayman legends peut être ?
  • Retour en haut

Posté 02 octobre 2017 - 12:07

#14
smada

smada

    Sunriseur PRIVILEGE

  • Members
  • PipPipPipPipPip
  • 2 781 messages
  • Sexe:Male
  • Lieu:Afrique
  • Passions:Ma passion
Merci
  • Retour en haut

Posté 02 octobre 2017 - 13:09

#15
HoYoHoYo

HoYoHoYo

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 259 messages
  • Sexe:Male
  • Lieu:Midgar
  • Passions:Le RETRO , sega system, mega drive que du bonheur !

Moi je suis en 3.0.2 ... "chérie tu vas être content j'ai mis le code wifi et j'ai la mise à jour ! ya plein de démos .."  :noob:  :pirate4:

j'était en 2.X je c plus quoi, la rage


giphy.gif


Posté 02 octobre 2017 - 14:24

#16
Shevel

Shevel

    Sunriseur avancé

  • Members
  • PipPipPip
  • 753 messages
  • Sexe:Male

Moi je suis en 3.0.2 ... "chérie tu vas être content j'ai mis le code wifi et j'ai la mise à jour ! ya plein de démos .."  :noob:  :pirate4:
j'était en 2.X je c plus quoi, la rage


Ça peut être un motif valable pour une demande de divorce, renseigne toi

Posté 02 octobre 2017 - 16:39

#17
jean71160

jean71160

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 030 messages
  • Sexe:Male
  • Lieu:reichtett
  • Passions:nes,xbox 360 ,xbox one ,psvita ,ps3,ps4 Nintendo 3ds ,wii ,wii u la switch toutes ces consoles me passionne ,je modifie toutes les consoles ,si vous avez un problème je suis là .
petite question bête mais le jeux zelda voulais me passez a jour j ai refuser du coup j ai pu quand même jouer .

du coup et til possible de jouer au jeux pokemon sans passez a jour??
  • Retour en haut

Posté 02 octobre 2017 - 17:07

#18
Shevel

Shevel

    Sunriseur avancé

  • Members
  • PipPipPip
  • 753 messages
  • Sexe:Male
Jean justement on te conseille de mettre à jour avec le jeu Pokémon.
Zelda ne te propose pas une mise à jour de la console mais du jeu. Tu peux la faire sans souci mais si ta console n'est pas en 3.0.2, elle risque de te demander de mettre à jour la console avant tout et tu dois refuser.

Mais vu ce que tu nous dis, tu dois être connecté au réseau et la console à sûrement déjà fait sa mise à jour elle même sans te demander ton accord
  • Retour en haut

Posté 02 octobre 2017 - 17:20

#19
mariogamer

mariogamer

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 254 messages
  • Sexe:Male
Juste pour savoir la maj 3.0.0 ca fait depuis quand qu'elle est sortie? Y'as encore des switchs en cette version?
  • Retour en haut

Posté 02 octobre 2017 - 17:48

#20
jean71160

jean71160

    Sunriseur elite

  • Members
  • PipPipPipPip
  • 1 030 messages
  • Sexe:Male
  • Lieu:reichtett
  • Passions:nes,xbox 360 ,xbox one ,psvita ,ps3,ps4 Nintendo 3ds ,wii ,wii u la switch toutes ces consoles me passionne ,je modifie toutes les consoles ,si vous avez un problème je suis là .
non je suis en 1.0.0 du coup possible de jouer a pokemon??
  • Retour en haut




0 utilisateur(s) li(sen)t ce sujet

0 invité(s) et 0 utilisateur(s) anonyme(s)